Open Infrastructure - Task #7992

Make TURN server usable to matrix/synapse instances
05/11/2020 09:36 AM - Timothée Floure

Status: Closed Start date: 05/11/2020
Priority: Normal Due date:

Assignee: Timothée Floure % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

We have a coturn instance running at matrix-turn.ungleich.ch but it does not seem to be usable at the moment.

* *

Related cdist types: * __coturn *__matrix-synapse

History

#1 - 05/14/2020 05:39 PM - Timothée Floure

Packets get to coturn but weird debug log on server:

41

42:
42:
42:
42:
42:
42:
43:
43:
43:
43:
43:
43:
44
44:
44
44
44:
44
44
45:
45:
45:
45:
45:
46:
46:
46:
46:
46:
46:
46:
47:
47:

47
47
47

: timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
timer_event_handler:
: timer_event_handler:
: timer_event_handler:
: timer_event_handler:

timeout 0x5631ad199e70: timer_handler
timeout 0x7f837¢c002450: timer_handler
timeout 0x5631ad19b0a0: rtcp_map_timeout_handler
timeout 0x7f8374002450: timer_handler

timeout 0x7f83780025f0: timer_handler

timeout 0x5631ad199e70: timer_handler
timeout 0x7f83780025f0: timer_handler

#2 - 05/14/2020 06:25 PM - Timothée Floure

The above logs are atually normal - at least that's what some chinese website says :-)

#3 - 05/14/2020 07:02 PM - Timothée Floure

With some hacking and debugging | got the whole pipeline to work. | will clean it and put it in production tomorrow.

04/18/2024




#4 - 06/15/2020 09:58 AM - Timothée Floure

- Status changed from New to Closed

Fixed a long time ago :-) Closing.
